tool
class_name NumberPanel
extends Panel


export(String) var title = "Counter"


var counter = 0


onready var label = $Label
onready var counter_label = $CounterLabel


func _ready() -> void:
	label.text = title


func increase_counter() -> void:
	counter += 1
	_refresh_label()


func reset_counter() -> void:
	counter = 0
	_refresh_label()


func _refresh_label() -> void:
	counter_label.text = str(counter)
