# Kace

A small multi-ball breakout game where accuracy is required.

![Kace cover image](cover.png)

## Game description

Aim, shoot and combo! Try to high-score before you are overwhelmed by bricks! Each time a ball hits, the brick life amount is decreased by one, and you get a score point. When the brick is destroyed, you get a new ball for the following rounds until you loose. Each round, a new row of bricks is generated. So, aim wisely and try to maximize shoot efficiency!

## Controls

- Use mouse to aim
- Left click to shoot
- Click again during a round in order to instantly collect every ball and start next round

## About

Two games of this game where concurrently developed : this one is made with Godot engine, the other one was made with Haskell by a friend.

## Export

Games are exported from Godot. It is advised to compress them in order to efficiently share them.

### Windows

`zip Kace_WinDesktop_x64_vX_Y.zip Kace_WinDesktop_x64_vX_Y.exe`

### GNU/Linux

`ar -zcvf Kace_LinuxX11_x64_vX_Y.tar.gz Kace_LinuxX11_x64_vX_Y.pck Kace_LinuxX11_x6 _vX_Y.x86_64`

## License

GNU GPLv3, see `LICENSE.txt`.
